Hyperliquid Get Funding Rates
Get current funding rates, open interest, and mark prices for Hyperliquid perpetual markets. Returns hourly and annualized rates, OI in USD, premium, and 24h volume. Filter by coin or get all markets sorted by absolute rate (extremes first). Pass dex='xyz' for trade.xyz TradFi markets. Ideal for: funding rate alerts, arbitrage detection, market health monitoring, and yield farming strategies.
目录操作 Hyperliquid
获取 Hyperliquid 永续市场的当前资金费率、持仓量和标记价格。返回小时费率和年化费率、OI(以 USD 计算)、溢价以及 24 小时交易量。可按币种过滤,或获取所有市场,按绝对费率排序(极端值优先)。传入 dex='xyz' 以获取 trade.xyz TradFi 市场。适用于:资金费率警报、套利检测、市场健康监控以及收益耕作策略。
快速概览
| 字段 | 值 |
|---|---|
| Action ID | hyperliquid-get-funding-rates |
| 类别 | Hyperliquid |
| 连接器 | 不需要 |
| 需要 gas | 否 |
| 资金移动 | 未声明 |
| 标签 | hyperliquid, perps, trading, monitoring |
输入模式
| 字段 | 类型 | 必需 | 描述 |
|---|---|---|---|
coin | string | 否 | 过滤到单个币种(例如 BTC、ETH)。省略以获取所有市场。 |
dex | string | 否 | 用于 TradFi 市场的 HIP-3 DEX 名称。省略以获取标准加密永续。xyz = trade.xyz(股票、指数、商品),flx = flx.finance,vntl = vntl.exchange |
结果模式
| 字段 | 类型 | 必需 | 描述 |
|---|---|---|---|
fundingRates | array | 是 | 永续市场的资金费率,按绝对费率降序排序(极端值优先) |
示例
json{ "type": "hyperliquid-get-funding-rates", "payload": { "coin": "example-coin", "dex": "xyz" }, "children": []}
bashcurl -X POST "https://api.b3os.org/v1/actions/hyperliquid-get-funding-rates/test" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "inputs": { "coin": "example-coin", "dex": "xyz" }}'
负载字段可以使用工作流表达式,例如 {{$trigger.body.amount}}、{{$nodes.fetch.result.price}} 和 {{$props.asset}},当值应来自触发器、先前节点或可重用工作流属性时。
